%global momorel 1

Summary: Open Fingerprint Architecture library
Name: libofa
Version: 0.9.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.musicip.com/dns/
Group: System Environment/Libraries
%NoSource 0 http://www.musicip.com/dns/files/%{name}-%{version}.tar.gz 51507d2c4b432bd2755f48d58471696e
Patch1: %{name}-%{version}-gcc41.patch
# Use Libs.private
Patch2: %{name}-%{version}-pkgconfig.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	findutils
BuildRequires:	pkgconfig sed
BuildRequires:	fftw3-devel 
# these are used only in the examples.
BuildRequires:	curl-devel
BuildRequires:	expat-devel

%description
Currently, MusicDNS and the Open Fingerprint Architecture are being used to:
* identify duplicate tracks, even when the metadata is different, MusicIP
  identifies the master recording.
* fix metadata
* find out more about tracks by connecting to MusicBrainz

%package devel
Summary: Header files and static libraries from libofa
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on libedit.

%prep
%setup -q

# for patches
find . -name README -or -name \*.cpp -or -name \*.h | xargs --no-run-if-empty sed -i -e 's|\r||'  ||:

%patch1 -p1 -b .gcc41
%patch2 -p1 -b .pkgconfig

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libofa.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ofa1
%{_libdir}/pkgconfig/libofa.pc
%{_libdir}/libofa.a
%{_libdir}/libofa.so

%changelog
* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-1m)
- initial package for libtunepimp-0.5.3 
- import pkgconfig.patch and gcc41.patch from Fedora Extras
 +* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-8
 +- better pkgconfig patch, using Libs.private
 +* Mon Sep 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-2
 +- gcc41 patch
